<?php

namespace App\Listeners;

use App\Events\DeleteUnverifiedUser;
use App\Services\Users\DeleteUnverifiedUserService;

class DeleteUnverifiedUserListener
{
    public function __construct(private DeleteUnverifiedUserService $service)
    {
    }

    public function handle(DeleteUnverifiedUser $event): void
    {
        $this->service->deleteAfterTimeout($event->userId);
    }
}
